Bug 731225 - Fail to build NFS pool with owned by qemu
Summary: Fail to build NFS pool with owned by qemu
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Virtualization Tools
Classification: Community
Component: libvirt
Version: unspecified
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Libvirt Maintainers
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-17 03:47 UTC by Nan Zhang
Modified: 2016-04-26 17:13 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-23 13:11:12 UTC


Attachments (Terms of Use)

Description Nan Zhang 2011-08-17 03:47:47 UTC
Description of problem:
For NFS pool creation, to set the owner with '107:107' in pool XML desc, that will lead to pool-build command failed. If the owner set with other user, that also get failed. 

Version-Release number of selected component (if applicable):
libvirt-0.9.4-4.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
# ll /var/lib/libvirt/images/
total 18082424
-rw-------. 1 qemu qemu  2228092928 Dec 29 23:02 foo.img
-rw-------. 1 root root      262144 Dec 29 19:09 foo-new.img
-rw-------. 1 root root  6442450944 Dec 23 00:07 rhel6.img
-rw-------. 1 qemu qemu  6442450944 Jan  3 15:55 test.img
-rw-------. 1 root root 12884901888 Jan  1 20:54 win7.img

# virsh pool-dumpxml netfs-pool
<pool type='netfs'>
  <name>netfs-pool</name>
  <uuid>8db59195-7779-4ef1-313a-ef64c466edf6</uuid>
  <capacity>0</capacity>
  <allocation>0</allocation>
  <available>0</available>
  <source>
    <host name='10.66.4.232'/>
    <dir path='/export'/>
    <format type='nfs'/>
  </source>
  <target>
    <path>/var/lib/libvirt/images/netfs-pool</path>
    <permissions>
      <mode>0755</mode>
      <owner>107</owner>
      <group>107</group>
    </permissions>
  </target>
</pool>

# virsh pool-build netfs-pool
error: Failed to build pool netfs-pool
error: cannot create path '/var/lib/libvirt/images/netfs-pool': Unknown error 18446744073709551615
  
Actual results:
Fail to build nfs pool with owned by qemu.

Expected results:
NFS pool should be built successfully.

Additional info:
Manually create the directory will workaround this issue.

# mkdir /var/lib/libvirt/images/netfs-pool

# virsh pool-build netfs-pool
Pool netfs-pool built

Comment 5 Cole Robinson 2016-03-23 13:11:12 UTC
Reporter is gone, it's low priority, and there's been a lot of changes around nfs + setuid stuff, so just closing this


Note You need to log in before you can comment on or make changes to this bug.